RowGenericNode

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.pivottable.java
Class RowGenericNode

    java.lang.Object
      org.openswing.swing.pivottable.java.RowGenericNode

All Implemented Interfaces:
  java.io.Serializable

public class RowGenericNode
extends java.lang.Object
implements java.io.Serializable

Title: OpenSwing Framework

Description: Row field node: contains row field nodes and a link to the col fields hiearchy; used in pivot table.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Constructor Summary
`RowGenericNode()`
`RowGenericNode(GenericNodeKey hpath)`

Method Summary
`void` | `add(RowGenericNode childNode)` Add a child node to this.
`boolean` | `equals(java.lang.Object obj)`
`RowGenericNode` | `getChildren(int index)`
`int` | `getChildrenCount()`
`ColGenericNode` | `getColsParentNode()`
`int` | `getLevel()`
`java.lang.Object` | `getValue()`
`java.util.HashMap` | `getVtreeNodes()`
`int` | `hashCode()`
`boolean` | `isNodeExpanded()`
`boolean` | `isRootNode()`
`void` | `remove(RowGenericNode childNode)` Add a child node to this.
`void` | `setColsParentNode(ColGenericNode colsParentNode)` Set the parent node of column fields list.
`void` | `setLevel(int level)` Set the depth level.
`void` | `setNodeExpanded(boolean nodeExpanded)` Define if current node is expanded.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowGenericNode

    public RowGenericNode()

### RowGenericNode

    public RowGenericNode(GenericNodeKey hpath)

Parameters:
  `hpath` - node identifier, based on its nodes path

Method Detail

### add

    public final void add(RowGenericNode childNode)

  Add a child node to this.

  Parameters:
    `childNode` - GenericNode to add

### remove

    public final void remove(RowGenericNode childNode)

  Add a child node to this.

  Parameters:
    `childNode` - GenericNode to add

### getVtreeNodes

    public final java.util.HashMap getVtreeNodes()

  Returns:
    collection of pairs

### getChildrenCount

    public final int getChildrenCount()

  Returns:
    children number

### getChildren

    public final RowGenericNode getChildren(int index)

  Parameters:
    `index` - children index
  Returns:
    children

### isNodeExpanded

    public final boolean isNodeExpanded()

  Returns:
    define if current node is expanded

### setNodeExpanded

    public final void setNodeExpanded(boolean nodeExpanded)

  Define if current node is expanded.

  Parameters:
    `nodeExpanded` - define if current node is expanded

### equals

    public final boolean equals(java.lang.Object obj)

### hashCode

    public final int hashCode()

### getValue

    public final java.lang.Object getValue()

  Returns:
    node value

### isRootNode

    public final boolean isRootNode()

  Returns:
    `true` if this is a root node

### getLevel

    public final int getLevel()

  Returns:
    depth level

### setLevel

    public final void setLevel(int level)

  Set the depth level.

  Parameters:
    `level` - depth level

### getColsParentNode

    public final ColGenericNode getColsParentNode()

  Returns:
    parent node of column fields list

### setColsParentNode

    public final void setColsParentNode(ColGenericNode colsParentNode)

  Set the parent node of column fields list.

  Parameters:
    `colsParentNode` - parent node of column fields list

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD